Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Interface TileRable

All Superinterfaces:
  Filter, FilterColorInterpolation, RenderableImage

All Known Implementing Classes:
  TileRable8Bit

    public interface TileRable

extends FilterColorInterpolation

A renderable that can tile its source into the tile region.

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`Filter` | `getSource()` Return's the tile source (the tile content used to fill the tile region.
`Rectangle2D` | `getTiledRegion()` Returns the tiled region
`Rectangle2D` | `getTileRegion()` Returns the tile region
`boolean` | `isOverflow()` Returns whether or not the source can overflow the tile region or if the tile region should clip the source
`void` | `setOverflow(boolean overflow)` Sets the overflow strategy
`void` | `setSource(Filter source)` Sets the filter source (the tile content used to fill the tile region.
`void` | `setTiledRegion(Rectangle2D tiledRegion)` Sets the tile region
`void` | `setTileRegion(Rectangle2D tileRegion)` Sets the tile region

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### getTileRegion

    Rectangle2D getTileRegion()

  Returns the tile region

### setTileRegion

    void setTileRegion(Rectangle2D tileRegion)

  Sets the tile region

### getTiledRegion

    Rectangle2D getTiledRegion()

  Returns the tiled region

### setTiledRegion

    void setTiledRegion(Rectangle2D tiledRegion)

  Sets the tile region

### isOverflow

    boolean isOverflow()

  Returns whether or not the source can overflow the tile region or if the tile region should clip the source

### setOverflow

    void setOverflow(boolean overflow)

  Sets the overflow strategy

### setSource

    void setSource(Filter source)

  Sets the filter source (the tile content used to fill the tile region.

### getSource

    Filter getSource()

  Return's the tile source (the tile content used to fill the tile region.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.